ReferenceCloud managementDelete a preset and its bindings

Delete a preset and its bindings

1 min readEdit this page
DELETE
/v1/namespaces/{nsid}/presets/{id}

Refuses to delete a row whose kind is not preset (returns 404).

Requires the policy:write scope.

Authorization

x-api-key<token>

Anthropic-style API key header.

In: header

Path Parameters

nsid*string

Id of the target namespace. Must be owned by the caller (or equal a namespace-baked credential's own namespace), else 404.

id*string

Surrogate id of the policies row.

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/namespaces/string/presets/string"
{  "deleted": true}
{  "error": "string",  "error_description": "string"}
{  "error": "string",  "error_description": "string"}
{  "error": "string",  "error_description": "string"}

How is this guide?